require "splatter/init"
require "splatter/service"
require "splatter/version"

module Splatter

  def self.included(base)
    base.include(Splatter::Service)
    base.include(Splatter::Init)
  end

end
__END__

  module Splatter
    class Success
      def success?
        true
      end
      def errors?
        false
      end
      def errors
        nil
      end
    end
    class Error
      def initialize(errors)
        @errors = errors
      end
      def success?
        false
      end
      def errors?
        true
      end
      def errors
        @errors
      end
    end
  end
